< Getting Started‎ | Build‎ | KDE4
Revision as of 05:36, 4 March 2008 by Tampakrap (talk | contribs) (Synchronized with current state of English page)

Getting Started/Build/KDE4/Gentoo (ru)


Getting_Started/Build/KDE4/Gentoo


Ручная установка

Используя стабильные сборочные файлы (ebuilds), не забудьте обновить дерево портежей, прежде чем приступить к установке.

Нам нужно разрешить следующие сборочные файлы, замаскированные ключами: echo 'dev-util/cmake' >> /etc/portage/package.keywords echo 'dev-cpp/clucene' >> /etc/portage/package.keywords


Удостоверьтесь, что для redland установлен USE-флаг berkdb, в противном случае nepomuk не будет работать.

  1. echo 'dev-libs/redland berkdb' >> /etc/portage/package.use
  2. echo 'x11-libs/qt accessibility' >> /etc/portage/package.use

Далее приведён список необходимых пакетов, некоторые из которых могут быть уже установлены (их можно пропустить, добавив флаг обновления в emerge).

emerge -avu 'sys-devel/gcc' \

 'dev-util/subversion' \
 'dev-util/pkgconfig'  \
 'x11-base/xorg-x11' \
 'virtual/glut' \
 'media-libs/mesa' \
 'media-libs/jpeg' \
 'media-libs/libpng' \
 'media-libs/giflib' \
 'dev-cpp/clucene' \
 'dev-util/cppunit' \
 'media-libs/liblrdf' \
 'dev-libs/libxml2' \
 'dev-libs/libxslt' \
 'x11-misc/shared-mime-info' \
 'dev-libs/boost' \
 'dev-util/cmake' \
 'dev-libs/redland' \
 'sys-apps/dbus' \
 'sys-apps/hal' \
 'x11-libs/qt'


Также может потребоваться выполнить emerge либо для 'kde-base/kdesdk', либо для kde-base/kdesdk-scripts'.


Если вы установили DBUS, CMAKE, QT и HAL, то соответствующие секции можно пропустить.

Удачи!

Установка с помощью portage

Текущую информацию о состоянии KDE4 в Gentoo можно найти по адресу http://www.gentoo.org/proj/en/desktop/kde/kde4.xml.

Сейчас KDE4 находится в официальном дереве портежей, хотя всё ещё замаскирован (это может измениться в ближайшее время). KDE3 и KDE4 могут быть установлены вместе.

Вам понадобится размаскировать их (подробности по ссылке выше) и остановить обычным способом. Так как в будущем KDE в Gentoo будет устанавливаться в виде раздельных пакетов, лучше всего устанавливать KDE так: emerge -avD kde-base/kde-meta:kde-4


This page was last edited on 15 July 2012, at 09:49. Content is available under Creative Commons License SA 4.0 unless otherwise noted.